<?php

namespace Drupal\lms\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Lesson entities.
 */
interface LessonInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  /**
   * Gets the Lesson creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Lesson.
   */
  public function getCreatedTime();

  /**
   * Sets the Lesson creation timestamp.
   *
   * @param int $timestamp
   *   The Lesson creation timestamp.
   *
   * @return \Drupal\lms\Entity\LessonInterface
   *   The called Lesson entity.
   */
  public function setCreatedTime($timestamp);

}
